Herramientas de usuario

Herramientas del sitio


es:stretch:config:software:apticron

2.2.4 Notificación de actualizaciones

Atención

El paquete apticron depende de la instalación de un agente de transporte de e-mail o MTA (Mail Transfer Agent). Por tanto, es necesario instalar primero un Servidor SMTP antes de proceder a la instalación de apticron.

Objetivo

Para garantizar que un sistema se actualice, lo mejor es estar informado de las actualizaciones disponibles. Apticron es un programa que se ejecuta diariamente de forma automática, y comprueba si hay actualizaciones disponibles para nuestro sistema, y luego informa al administrador del sistema por e-mail.

Instalación

<sxh bash; highlight: [1]> root@server:~# apt install apticron </sxh>

Configuración

Ne el archivo/etc/apticron/apticron.conf se puede configurar la dirección de correo para notificación de las actualizaciones:

<sxh; highlight: [6]; title: /etc/apticron/apticron.conf> # apticron.conf # # set EMAIL to a space separated list of addresses which will be notified of # impending updates # EMAIL=“root”

#[…] </sxh>

Resultado

Siempre que haya una actualización disponible para el sistema, se enviará un e-mail al administrador del sistema:

<sxh;> Subject: 1 Debian package update(s) for server.home.lan To: root@server.home.lan Date: Thu, 6 Jul 2017 01:52:05 +0100 (WEST) From: root@server.home.lan (root)

apticron report [Thu, 06 Jul 2017 01:52:05 +0100]

apticron has detected that some packages need upgrading on:

server.home.lan 
[ 192.168.1.100 ]

The following packages are currently pending an upgrade:

libtiff5 4.0.8-2+deb9u1

Package Details:

apt-listchanges: Reading changelogs… apt-listchanges: Changelogs


— Changes for tiff (libtiff5) — tiff (4.0.8-2+deb9u1) stretch-security; urgency=high

  • Backport security fixes:
    1. CVE-2017-9936, memory leak in error code path of JBIGDecode()

(closes: #866113),

  1. prevent out of memory in gtTileContig() on corrupted files,
  2. CVE-2017-10688, assertion failure in TIFFWriteDirectoryTagCheckedXXXX()

(closes: #866611).

  • Add required _TIFFReadEncodedStripAndAllocBuffer@LIBTIFF_4.0 symbol to the

libtiff5 package.

– Laszlo Boszormenyi (GCS) gcs@debian.org Sun, 02 Jul 2017 08:36:06 +0000

You can perform the upgrade by issuing the command:

apt-get dist-upgrade

as root on server.home.lan

– apticron </sxh>

Entonces, el administrador podrá actualizar el sistema con el comando 'apt full-upgrade o apt-get dist-upgrade''.

Referencias

es/stretch/config/software/apticron.txt · Última modificación: 2020-08-02 20:10 (editor externo)

Excepto donde se indique lo contrario, el contenido de este wiki esta bajo la siguiente licencia: CC Attribution-Noncommercial-Share Alike 4.0 International
CC Attribution-Noncommercial-Share Alike 4.0 International Donate Powered by PHP Valid HTML5 Valid CSS Driven by DokuWiki